Package com.collibra.dgc.core.api.dto.instance.attribute

# Class ChangeAttributeRequest

Object
ChangeAttributeRequest

All Implemented Interfaces:
  `Serializable`

public class ChangeAttributeRequest extends Object implements Serializable
The properties of the asset to be added.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `ChangeAttributeRequest.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChangeAttributeRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ChangeAttributeRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `UUID`
  `getId()`
  Required. The ID of the attribute to be changed.
  `Object`
  `getValue()`
  Required. The value of this attribute.
  `int`
  `hashCode()`
  `void`
  `setId(UUID id)`
  Required. The ID of the attribute to be changed.
  `void`
  `setValue(Object value)`
  Required. The value of this attribute.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ChangeAttributeRequest

    public ChangeAttributeRequest()

- ## Method Details

  - ### builder

    public static ChangeAttributeRequest.Builder builder()

  - ### getId

    public UUID getId()
    Required. The ID of the attribute to be changed. Silently ignored if the ID is provided as path parameter of the request.

  - ### getValue

    public Object getValue()
    Required. The value of this attribute. Expected type of the value depends on the type of the attribute. Following list presents type of the value depending on the kind of the attribute
    - kind: `NumericAttribute` -> value Class: `Double` or `String`
    - kind: `ScriptAttribute` -> value Class: `String`
    - kind: `SingleValueListAttribute` -> value Class: `String`
    - kind: `DateAttribute` -> value class: `Long` or `String`
    - kind: `StringAttribute` -> value class: `String`
    - kind: `BooleanAttribute` -> value class: `Boolean` or `String`
    - kind: `MultiValueListAttribute` -> value class: `List` of `String`

  - ### setId

    public void setId(UUID id)
    Required. The ID of the attribute to be changed. Silently ignored if the ID is provided as path parameter of the request.

  - ### setValue

    public void setValue(Object value)
    Required. The value of this attribute. Expected type of the value depends on the type of the attribute. Following list presents type of the value depending on the kind of the attribute
    - kind: `NumericAttribute` -> value Class: `Double` or `String`
    - kind: `ScriptAttribute` -> value Class: `String`
    - kind: `SingleValueListAttribute` -> value Class: `String`
    - kind: `DateAttribute` -> value class: `Long` or `String`
    - kind: `StringAttribute` -> value class: `String`
    - kind: `BooleanAttribute` -> value class: `Boolean` or `String`
    - kind: `MultiValueListAttribute` -> value class: `List` of `String`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`